#
# spec file for package rtmidi
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define soname 2
Name:           rtmidi
Version:        2.1.0
Release:        1.1
Summary:        C++ library for realtime MIDI input/ouput
License:        MIT
Group:          Productivity/Multimedia/Sound/Utilities
Url:            http://www.music.mcgill.ca/~gary/rtmidi/index.html
Source0:        http://www.music.mcgill.ca/~gary/rtmidi/release/%{name}-%{version}.tar.gz
# PATCH-FIX-OPENSUSE pkgconfig.patch avvissu@yandex.ru
Patch0:         rtmidi-2.1.0_pkgconfig.patch
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  gcc-c++
BuildRequires:  pkgconfig(alsa)
BuildRequires:  pkgconfig(jack)

%description
RtMidi is a set of C++ classes (RtMidiIn, RtMidiOut and API-specific
classes) that provides a common API (Application Programming Interface) for
realtime MIDI input/output across ALSA & JACK.

%package -n     lib%{name}%{soname}
Summary:        C++ library for realtime MIDI input/ouput
Group:          System/Libraries

%description -n lib%{name}%{soname}
RtMidi is a set of C++ classes (RtMidiIn, RtMidiOut and API-specific
classes) that provides a common API (Application Programming Interface) for
realtime MIDI input/output across ALSA & JACK.

This package provides the shared library.

%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries/C and C++
Requires:       lib%{name}%{soname} = %{version}
Requires:       pkgconfig(alsa)
Requires:       pkgconfig(jack)

%description    devel
C++ library for realtime MIDI input/ouput.
...
This package contains header files and libraries needed to develop
application that use %{name}.

%prep
%setup -q
%patch0 -p1

%build
export CFLAGS="%{optflags}"
autoreconf -fiv
%configure \
    --with-jack \
    --with-alsa
make %{?_smp_mflags} CFLAGS="$CXXFLAGS -fPIC"

%install
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_includedir}
mkdir -p %{buildroot}%{_libdir}/pkgconfig
for f in `ls lib%{name}.so*`; do
cp -d $f %{buildroot}%{_libdir}/; done
sed -i '/LIBRARY/s|\ -L/usr/lib||' %{name}-config
install -m 0755 %{name}-config %{buildroot}%{_bindir}
install -m 0644 RtMidi.h %{buildroot}%{_includedir}
install -Dm 0644 lib%{name}.pc %{buildroot}%{_libdir}/pkgconfig/%{name}.pc

%post -n lib%{name}%{soname} -p /sbin/ldconfig

%postun -n lib%{name}%{soname} -p /sbin/ldconfig

%files -n lib%{name}%{soname}
%defattr(-,root,root)
%{_libdir}/lib%{name}.so.*

%files devel
%defattr(-,root,root)
%doc readme
%{_bindir}/%{name}-config
%{_includedir}/RtMidi.h
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc

%changelog
* Wed Jun 24 2015 avvissu@yandex.ru
- Initial release
